path: /build/build/alacritty-x11-terms-0.13.2+3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - cd /var/git/meta-repo/kits/desktop-kit/x11-terms/alacritty/ && rm alacritty-0.13.2.ebuild
    && wget https://raw.githubusercontent.com/funtoo/desktop-kit/next/x11-terms/alacritty/alacritty-0.13.2.ebuild
    && rm Manifest && ebuild alacritty-0.13.2.ebuild digest && cd -
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="X wayland" emerge x11-terms/alacritty -pv -t && \
    USE="X wayland" emerge -j ${JOBS} --nodeps x11-terms/alacritty
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/alacritty && luet-portage --dir /pkgdir/alacritty
    x11-terms/alacritty && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:d85d403d951b105e1d3d737cad865408ebae735cb9f6f43d9d915dd931aee50e
  package:
    name: alacritty
    version: 0.13.2+3
    category: x11-terms
    use_flags:
    - X
    - wayland
    requires:
    - name: macaroni-funtoo-race11
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: GPU-accelerated terminal emulator
    uri:
    - https://github.com/alacritty/alacritty
    license: Apache-2.0 Apache-2.0-with-LLVM-exceptions Boost-1.0 BSD BSD-2 CC0-1.0
      FTL ISC MIT MPL-2.0 Unlicense WTFPL-2 ZLIB
    buildtimestamp: 2024-04-21 22:23:24.583897988 +0000 UTC m=+220.213318992
    labels:
      BDEPEND: dev-util/cmake >=virtual/rust-1.37.0
      DEPEND: '|| ( dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7 dev-lang/python:3.10
        )'
      IUSE: wayland +X debug
      RDEPEND: media-libs/fontconfig:= media-libs/freetype:2 X? ( x11-libs/libxcb:=[xkb]
        ) media-libs/mesa[X?,wayland?] sys-libs/zlib sys-libs/ncurses:0 wayland? (
        dev-libs/wayland ) X? ( x11-libs/libXcursor x11-libs/libXi x11-libs/libXrandr
        )
      emerge.packages: x11-terms/alacritty
      kit: desktop-kit
      original.package.name: x11-terms/alacritty
      original.package.slot: "0"
      original.package.version: 0.13.2
    treedir: /build/packages
  package_dir: /pkgdir/alacritty
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: a0d45d00f83e4634439a9c18ab5e82f4f6ceed9bd6122249f3ee759920a1207b
compressiontype: zstd
files:
- usr/bin/alacritty
- usr/share/alacritty/scripts/24-bit-color.sh
- usr/share/alacritty/scripts/README.md
- usr/share/alacritty/scripts/colors.sh
- usr/share/alacritty/scripts/create-flamegraph.sh
- usr/share/alacritty/scripts/fg-bg.sh
- usr/share/applications/Alacritty.desktop
- usr/share/bash-completion/completions/alacritty
- usr/share/doc/alacritty-0.13.2/CHANGELOG.md.bz2
- usr/share/doc/alacritty-0.13.2/INSTALL.md.bz2
- usr/share/doc/alacritty-0.13.2/README.md.bz2
- usr/share/doc/alacritty-0.13.2/escape_support.md.bz2
- usr/share/doc/alacritty-0.13.2/features.md.bz2
- usr/share/fish/vendor_completions.d/alacritty.fish
- usr/share/man/man1/alacritty.1.bz2
- usr/share/man/man5/alacritty.5.bz2
- usr/share/metainfo/org.alacritty.Alacritty.appdata.xml
- usr/share/pixmaps/Alacritty.svg
- usr/share/zsh/site-functions/_alacritty
- var/db/pkg/x11-terms/alacritty-0.13.2/BDEPEND
- var/db/pkg/x11-terms/alacritty-0.13.2/BUILD_TIME
- var/db/pkg/x11-terms/alacritty-0.13.2/CATEGORY
- var/db/pkg/x11-terms/alacritty-0.13.2/CBUILD
- var/db/pkg/x11-terms/alacritty-0.13.2/CC
- var/db/pkg/x11-terms/alacritty-0.13.2/CFLAGS
- var/db/pkg/x11-terms/alacritty-0.13.2/CHOST
- var/db/pkg/x11-terms/alacritty-0.13.2/CONTENTS
- var/db/pkg/x11-terms/alacritty-0.13.2/COUNTER
- var/db/pkg/x11-terms/alacritty-0.13.2/CXXFLAGS
- var/db/pkg/x11-terms/alacritty-0.13.2/DEFINED_PHASES
- var/db/pkg/x11-terms/alacritty-0.13.2/DEPEND
- var/db/pkg/x11-terms/alacritty-0.13.2/DESCRIPTION
- var/db/pkg/x11-terms/alacritty-0.13.2/EAPI
- var/db/pkg/x11-terms/alacritty-0.13.2/FEATURES
- var/db/pkg/x11-terms/alacritty-0.13.2/HOMEPAGE
- var/db/pkg/x11-terms/alacritty-0.13.2/INHERITED
- var/db/pkg/x11-terms/alacritty-0.13.2/IUSE
- var/db/pkg/x11-terms/alacritty-0.13.2/IUSE_EFFECTIVE
- var/db/pkg/x11-terms/alacritty-0.13.2/KEYWORDS
- var/db/pkg/x11-terms/alacritty-0.13.2/LDFLAGS
- var/db/pkg/x11-terms/alacritty-0.13.2/LICENSE
- var/db/pkg/x11-terms/alacritty-0.13.2/NEEDED
- var/db/pkg/x11-terms/alacritty-0.13.2/PF
- var/db/pkg/x11-terms/alacritty-0.13.2/RDEPEND
- var/db/pkg/x11-terms/alacritty-0.13.2/REQUIRES
- var/db/pkg/x11-terms/alacritty-0.13.2/SIZE
- var/db/pkg/x11-terms/alacritty-0.13.2/SLOT
- var/db/pkg/x11-terms/alacritty-0.13.2/USE
- var/db/pkg/x11-terms/alacritty-0.13.2/alacritty-0.13.2.ebuild
- var/db/pkg/x11-terms/alacritty-0.13.2/environment.bz2
- var/db/pkg/x11-terms/alacritty-0.13.2/repository
package_cacheimage: ""
runtime:
  name: alacritty
  version: 0.13.2+3
  category: x11-terms
  use_flags:
  - X
  - wayland
  requires:
  - name: wayland
    version: '>=0'
    category: dev-libs
  - name: fontconfig
    version: '>=0'
    category: media-libs-1.0
  - name: mesa
    version: '>=0'
    category: media-libs
  - name: ncurses
    version: '>=0'
    category: sys-libs
  - name: zlib
    version: '>=0'
    category: sys-libs
  - name: libXcursor
    version: '>=0'
    category: x11-libs
  - name: libXi
    version: '>=0'
    category: x11-libs
  - name: libXrandr
    version: '>=0'
    category: x11-libs
  - name: libxcb
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: GPU-accelerated terminal emulator
  uri:
  - https://github.com/alacritty/alacritty
  license: Apache-2.0 Apache-2.0-with-LLVM-exceptions Boost-1.0 BSD BSD-2 CC0-1.0
    FTL ISC MIT MPL-2.0 Unlicense WTFPL-2 ZLIB
  labels:
    BDEPEND: dev-util/cmake >=virtual/rust-1.37.0
    DEPEND: '|| ( dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7 dev-lang/python:3.10
      )'
    IUSE: wayland +X debug
    RDEPEND: media-libs/fontconfig:= media-libs/freetype:2 X? ( x11-libs/libxcb:=[xkb]
      ) media-libs/mesa[X?,wayland?] sys-libs/zlib sys-libs/ncurses:0 wayland? ( dev-libs/wayland
      ) X? ( x11-libs/libXcursor x11-libs/libXi x11-libs/libXrandr )
    emerge.packages: x11-terms/alacritty
    kit: desktop-kit
    original.package.name: x11-terms/alacritty
    original.package.slot: "0"
    original.package.version: 0.13.2
